xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Hooks.WorkspaceByPos

Contents

- Usage

Description

Useful in a dual-head setup: Looks at the requested geometry of new windows and moves them to the workspace of the non-focused screen if necessary.

Synopsis

- workspaceByPos :: ManageHook

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.WorkspaceByPos

    myManageHook = workspaceByPos <+> manageHook defaultConfig

    main = xmonad defaultConfig { manageHook = myManageHook }

workspaceByPos :: ManageHook